FRACTALNOW(1)

NAME
fractalnow - Generate fractal images.

SYNOPSYS
fractalnow [OPTIONS] -c <Config> [-x <Width>|-y <Height>] -o <Output>
fractalnow [OPTIONS] -f <Fractal> -r <Rendering> [-x <Width>|-y <Height>] -o <Output>

DESCRIPTION
FractalNow is a command line tool that generates pictures of fractals as Portable PixMap (PPM) files.
It is multi-threaded and implements advanced algorithms and heuristics that make computation very fast compared to most existing free fractal generators.
See QFractalNow, a graphical tool to explore fractals.

OPTIONS

-h  Print help.

-q  Quiet mode, only errors are displayed.

-v  Verbose mode.

-j <NbThreads>
    Specify number of threads (see help for default value).

-g <GradientFile>
    Specify gradient file, overriding gradient from configuration/ rendering file.

-l <FloatType>
    Specify float type:
    single Single precision.
    double Double precision.
    ldouble Long double precision.
    mp Multiple precision.

-L <MPPrecision>
    Specify precision of Multiple Precision (MP) floats (see help for default value).

-a <AntiAliasingMethod>
    Specify anti-aliasing method:
    none By default.
    blur Gaussian blur.
    oversampling Oversampling.
    adaptive Smart oversampling.

-s <AAMSize>
    Specify size for anti-aliasing:
    Radius for blur (values in [2.5, 4] are generally good).
    Scale factor for oversampling ([3, 5] is good for a high quality image).
    Scale factor for adaptive (integers between 3-5 are good for a high quality image).

-p <AAMThreshold>
    Threshold for adaptive anti-aliasing (see help for default value).

-i <QuadSize>
    Maximum size of quadrilaterals for linear interpolation.
    Default is good for no visible loss of quality (see help for default value).
    1 means no interpolation (all pixels are computed).

-t <Threshold>
    Dissimilarity threshold for quad interpolation.
    Default is good for no visible loss of quality (see help for default value).
    A quadrilateral that shows too dissimilar values at its corners will be computed, as opposed to interpolated.

AUTHOR
FractalNow was written by Marc Pegon <pe.marc@free.fr>.

COPYRIGHT
FractalNow is licensed under the terms of the GNU Lesser General Public License, Version 3 or any later version published by the Free Software Foundation.

SEE ALSO
QFractalNow manual page.
Documentation files describing configuration, fractal, rendering and gradient files formats.